using System.Collections;
using System.Collections.Generic;
using Godot;
using System;

using System.Threading.Tasks;

namespace Rokojori
{
  [Tool][GlobalClass]
  public partial class _XX_Spherical_Baker:_XX_MultiBakeMode
  {    
    public static readonly string sphericalShader = "res://addons/rokojori_action_library/External/Imposter/materials/shaders/ImpostorShader.gdshader";

    [Export]
    public int sphericalSides = 4;
    [Export]
    public int sphericalRows = 3;
    [Export]
    public float minPitch = -30;    
    [Export]
    public float maxPitch = 30;


    public override int GetNumViews()
    {
      var views = sphericalSides * sphericalRows;

      return views;
    }

    public override void CreateMaterial( List<_XX_BakingPass> passes )
    {

    }

    public override void AssignMaterial( List<_XX_BakingPass> passes )
    {

    }

    public override void CreateBakers()
    {

    }

  }
}